CVE-2020-27223

NameCVE-2020-27223
DescriptionIn Eclipse Jetty 9.4.6.v20170531 to 9.4.36.v20210114 (inclusive), 10.0.0, and 11.0.0 when Jetty handles a request containing multiple Accept headers with a large number of “quality” (i.e. q) parameters, the server may enter a denial of service (DoS) state due to high CPU usage processing those quality values, resulting in minutes of CPU time exhausted processing those quality values.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
jetty9 (PTS)stretch9.2.21-1+deb9u1fixed
stretch (security)9.2.30-0+deb9u2fixed
buster9.4.15-1vulnerable
bullseye, sid9.4.39-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
jetty9sourcestretch(not affected)
jetty9source(unstable)9.4.38-1

Notes

[stretch] - jetty9 <not-affected> (Vulnerable code introduced later)
https://bugs.eclipse.org/bugs/show_bug.cgi?id=571128
https://github.com/eclipse/jetty.project/security/advisories/GHSA-m394-8rww-3jr7
https://github.com/eclipse/jetty.project/issues/5963
https://github.com/eclipse/jetty.project/commit/10e531756b972162eed402c44d0244f7f6b85131
Introduced by https://github.com/eclipse/jetty.project/commit/cb84946467dc55826a8021ea2592ba58252863c9 (jetty-9.4.6.v20170531)

Search for package or bug name: Reporting problems